import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["children", "as", "className"];
import { forwardRef } from 'react';
import cx from 'classnames';
import PropTypes from 'prop-types';
import PrimitiveInjector from '@s-ui/react-primitive-injector'; // import PropTypes from 'prop-types'

import { BASE_CLASS_NAME } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
var PrimitiveLinkBoxLink = /*#__PURE__*/forwardRef(function (_ref, forwardedRef) {
  var children = _ref.children,
    as = _ref.as,
    className = _ref.className,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  if (children === undefined) return null;
  var Component = as === undefined && typeof children === 'string' ? 'a' : PrimitiveInjector;
  return /*#__PURE__*/_jsx(Component, _extends({
    ref: forwardedRef,
    className: cx(BASE_CLASS_NAME + "Link", className)
  }, props, {
    children: children
  }));
});
PrimitiveLinkBoxLink.displayName = 'PrimitiveLinkBox.Link';
export default PrimitiveLinkBoxLink;