import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["children", "as", "className"];
import { forwardRef } from 'react';
import cx from 'classnames';
import PropTypes from 'prop-types';
import PrimitiveInjector from '@s-ui/react-primitive-injector';
import PrimitiveLinkBoxLink from './PrimitiveLinkBoxLink.js';
import PrimitiveLinkBoxRaised from './PrimitiveLinkBoxRaised.js';
import { BASE_CLASS_NAME } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
var PrimitiveLinkBox = /*#__PURE__*/forwardRef(function (_ref) {
  var children = _ref.children,
    as = _ref.as,
    className = _ref.className,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  if (children === undefined) return null;
  var Component = as === undefined && typeof children === 'string' ? 'div' : PrimitiveInjector;
  return /*#__PURE__*/_jsx(Component, _extends({
    className: cx(BASE_CLASS_NAME, className)
  }, props, {
    children: children
  }));
});
PrimitiveLinkBox.displayName = 'PrimitiveLinkBox';
export { PrimitiveLinkBoxRaised, PrimitiveLinkBoxLink };
export default PrimitiveLinkBox;